org.apache.thrift.protocol

## Class TMessage

- java.lang.Object
- - org.apache.thrift.protocol.TMessage

-     public final class TMessage
      extends java.lang.Object

  Helper class that encapsulates struct metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `int` | `seqid`
    `byte` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TMessage()`
    `TMessage(java.lang.String n, byte t, int s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `boolean` | `equals(TMessage other)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### type

          public final byte type

    - #### seqid

          public final int seqid

  - ### Constructor Detail

    - #### TMessage

          public TMessage()

    - #### TMessage

          public TMessage(java.lang.String n,
                  byte t,
                  int s)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TMessage other)